com.lowagie.text.pdf

## Class PdfDeveloperExtension

- java.lang.Object
- - com.lowagie.text.pdf.PdfDeveloperExtension

    public class PdfDeveloperExtension
    extends java.lang.Object

Beginning with BaseVersion 1.7, the extensions dictionary lets developers designate that a given document contains extensions to PDF. The presence of the extension dictionary in a document indicates that it may contain developer-specific PDF properties that extend a particular base version of the PDF specification. The extensions dictionary enables developers to identify their own extensions relative to a base version of PDF. Additionally, the convention identifies extension levels relative to that base version. The intent of this dictionary is to enable developers of PDF-producing applications to identify company-specific specifications (such as this one) that PDF-consuming applications use to interpret the extensions.

Since:
  2.1.6

### Field Summary

Fields
`static PdfDeveloperExtension` `ADOBE_1_7_EXTENSIONLEVEL3` An instance of this class for Adobe 1.7 Extension level 3.
`protected PdfName` `baseversion` The base version.
`protected int` `extensionLevel` The extension level within the baseversion.
`protected PdfName` `prefix` The prefix used in the Extensions dictionary added to the Catalog.

### Constructor Summary

Constructors
Constructor and Description
`PdfDeveloperExtension(PdfName prefix, PdfName baseversion, int extensionLevel)` Creates a PdfDeveloperExtension object.

### Method Summary

Methods
`PdfName` `getBaseversion()` Gets the baseversion name.
`PdfDictionary` `getDeveloperExtensions()` Generations the developer extension dictionary corresponding with the prefix.
`int` `getExtensionLevel()` Gets the extension level within the baseversion.
`PdfName` `getPrefix()` Gets the prefix name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ADOBE_1_7_EXTENSIONLEVEL3

    public static final PdfDeveloperExtension ADOBE_1_7_EXTENSIONLEVEL3

An instance of this class for Adobe 1.7 Extension level 3.

#### prefix

    protected PdfName prefix

The prefix used in the Extensions dictionary added to the Catalog.

#### baseversion

    protected PdfName baseversion

The base version.

#### extensionLevel

    protected int extensionLevel

The extension level within the baseversion.

### Constructor Detail

#### PdfDeveloperExtension

    public PdfDeveloperExtension(PdfName prefix,
                         PdfName baseversion,
                         int extensionLevel)

Creates a PdfDeveloperExtension object.

Parameters:
  `prefix` - the prefix referring to the developer
  `baseversion` - the number of the base version
  `extensionLevel` - the extension level within the baseverion.

### Method Detail

#### getPrefix

    public PdfName getPrefix()

Gets the prefix name.

Returns:
  a PdfName

#### getBaseversion

    public PdfName getBaseversion()

Gets the baseversion name.

Returns:
  a PdfName

#### getExtensionLevel

    public int getExtensionLevel()

Gets the extension level within the baseversion.

Returns:
  an integer

#### getDeveloperExtensions

    public PdfDictionary getDeveloperExtensions()

Generations the developer extension dictionary corresponding with the prefix.

Returns:
  a PdfDictionary